### Method

# GtkSource Buffer set_style_scheme

#### Declaration [src]

    void
    gtk_source_buffer_set_style_scheme (
      GtkSourceBuffer* buffer,
      GtkSourceStyleScheme* scheme
    )

#### Description [src]

Sets a `GtkSourceStyleScheme` to be used by the buffer and the view.

Note that a `GtkSourceStyleScheme` affects not only the syntax highlighting, but also other `GtkSourceView` features such as highlighting the current line, matching brackets, the line numbers, etc.

Instead of setting a `NULL` `scheme`, it is better to disable syntax highlighting with `gtk_source_buffer_set_highlight_syntax()`, and setting the `GtkSourceStyleScheme` with the “classic” or “tango” ID, because those two style schemes follow more closely the GTK theme (for example for the background color).

The buffer holds a reference to `scheme`.

Sets property | `GtkSource.Buffer:style-scheme`

#### Parameters

`scheme`

  Type: `GtkSourceStyleScheme`

  A `GtkSourceStyleScheme` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.